Page MenuHomePhabricator

A #Templates tag for tasks related with creating/fixing MediaWiki templates?
Open, LowestPublic

Description

Even if we have projects for MediaWiki-Templates and VisualEditor-MediaWiki-Templates and MediaWiki-extensions-Scribunto (our Lua), these projects refer to the software and infrastructure needed to render templates, not to tasks about the templates themselves.

There is a specific audience of developers of Lua or wikitext templates, and there are some tasks that are related with problems in templates (i.e. T101358). Maybe if we would have a #Templates tag, we would connect better existing problems with existing skills? Currently it is basically impossible watch template-related progress in systematic way, since the related tasks might appear anywhere.

I'm personally interested in making Phabricator a better place for template developers, and in improving their developer experience in general. This tag alone will not solve much, but it might help a bit progressing in the right direction (i.e. if a critical mass of template developers join that tag).

PS: and yes, the list of "template" related projects might be confusing for users (see T93546 for even another candidate that might add confusion), but I think this can be fixed with better names / descriptions for all?

Event Timeline

Qgil created this task.Jun 4 2015, 7:51 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a project: Project-Admins.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 7:51 AM

Currently it is basically impossible watch template-related progress in systematic way, since the related tasks might appear anywhere

Currently the discussion/talk pages of a template seem to be closest to what I'd call "the central feedback place" for each separate template on each separate wiki. It's unfortunately impossible to properly search across templates and sites (and their discussion pages where bugs get brought up).

What would happen to those discussion pages? Adding another feedback place to the mix might solve one problem and create another one. :)

(i.e. if a critical mass of template developers join that tag)

Do we know if any template developer is interested in following any bug report about any template out there (which seems to be an implicite underlying assumption to make template developers join that tag)? Or do template maintainers instead only follow the talk pages of "their" templates which they "feel responsible for"? Assuming that both concepts exist, do we expect a template bug to get reported both on its discussion page (to reach the specific template maintainer) and the generic "Template issues" Phab project (to reach the template developer community), creating a communication venue split?

Have template developers expressed interested in such a Phabricator project and thoughts how to make it get used effectively? Any link to such a thread?

And I am wondering myself how the template situation is different from gadgets (T85433, though we already made a well-defined exception of that in T100512).

You can't use a template's talk page to discuss something like changing git.wikimedia.org to diffusion, because it affects multiple templates. I wish I knew where template developers discuss issue larger than one template, maybe the #Community-Technology team knows? It seems for mw.org issues like T101358 there's https://www.mediawiki.org/wiki/Project:Current_issues , and for templates in use across wikis there's https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29

I support this as a means of tagging wiki issues, but the name should be #wiki-templates, which avoids confusion, and allows us to have #wiki-gadgets , etc. But I defer to Andre's fundamental objection in T85433#1196089.

Aklapper triaged this task as Low priority.Jun 15 2015, 4:36 PM
Aklapper lowered the priority of this task from Low to Lowest.Aug 3 2015, 8:36 PM

As long as we're not even sure where to find "the" Templates community I'm not convinced that opening a potential "second" space (=Phabricator; though not sure a "first" place exists) would be helpful when it comes to centralizing discussion and bringing template-interested folks together...

As T85433 has extremely similar underlying issues I'm adding that as a blocker, to also keep the discussion in one place (T85433).

I really don't understand why this hasn't happened yet. I just created one and had it closed which operated on a much broader scale than templates. (Wikimedia-General-or-Unknown)

I've declined countless bugs and sent messages on talk pages of templates that do not render on mobile and I'm yet to see one fixed. The ones that do get fixed are because i edit them. This doesn't scale. Our site is getting more mobile friendly by a tower of hacks in MobileFrontend - this is not sustainable. How are we going to have an every device friendly project if we don't do anything?

I sent a mail about this a while back and the response I got was "here are some template editing rights". (See [Wikitech-l] {{TemplatesThatWorkOnMobile}} - Wow what a solution!)

I don't understand why this is blocked on knowing which community to target - just highlighting the sheer amount of issues feels like it would be a victory in itself even if they were not fixed and would bubble up common problems that need an urgent fix and I'd hope with a bit of work from community liasons would lead to greater awareness of these problems.

Right now failure to even create a project to recognise a problem stinks of bureaucracy and I find that disappointing.

@Jdlrobson: Who wrote that there is no problem and where?

Creating awareness is one part. Creating a dedicated project in Phabricator which needs to be documented on-wiki (will people find this place?) and even more important needs people who feel responsible to actually look at these reports and fix on-wiki code is the other part. I repeat myself but I don't want yet another place where volunteers waste their time reporting stuff that won't get fixed.

To describe what the current state is: As I wrote in T103700#1888248 we've traditionally been using Wikimedia-General-or-Unknown. Lately we've been adding Community-Tech to tasks in this area (on-wiki code) as this seems to be on area that Community-Tech is interested in and spends efforts on.

Also see my other concerns and questions above in T101362#1336760 and T101362#1504353 that welcome broader discussion so we can move forward here and find a process that works.

Quiddity updated the task description. (Show Details)Dec 17 2015, 8:45 PM
Quiddity set Security to None.
Quiddity updated the task description. (Show Details)

@Jdlrobson: Any reply to my last question?

Right now failure to even create a project to recognise a problem stinks of bureaucracy and I find that disappointing.

To make your complaint constructive, you may like to start a new task to discuss changing of processes / policies. I've seen and heard several concerns and objections to them in various places by various people, so maybe there's a good time to review them. Also considering that since the currently used ones Phabricator has been upgraded couple times and supports now new features...

Mholloway added a subscriber: Mholloway.